local config = {
    updater = {
        remote = "origin",
        channel = "stable",
        version = "latest",
        branch = "nightly",
        commit = nil,
        pin_plugins = nil,
        skip_prompts = false,
        show_changelog = true,
        auto_quit = false,
        remotes = {}
    },
    icons = {
        ActiveLSP = "",
        ActiveTS = "󰊟",
        ArrowLeft = "",
        ArrowRight = "",
        BufferClose = "󰅖",
        DapBreakpoint = "",
        DapBreakpointCondition = "",
        DapBreakpointRejected = "",
        DapLogPoint = ".>",
        DapStopped = "󰁕",
        DefaultFile = "",
        Diagnostic = "",
        DiagnosticError = "",
        DiagnosticHint = "",
        DiagnosticInfo = "",
        DiagnosticWarn = "",
        Ellipsis = "…",
        FileModified = "",
        FileReadOnly = "",
        FoldClosed = "",
        FoldOpened = "",
        FoldSeparator = " ",
        FolderClosed = "",
        FolderEmpty = "",
        FolderOpen = "",
        Git = "",
        GitAdd = "",
        GitBranch = "",
        GitChange = "",
        GitConflict = "",
        GitDelete = "",
        GitIgnored = "",
        GitRenamed = "",
        GitStaged = "",
        GitUnstaged = "",
        GitUntracked = "",
        LSPLoaded = "",
        LSPLoading1 = "",
        LSPLoading2 = "󰀚",
        LSPLoading3 = "",
        MacroRecording = "",
        Paste = "󰅌",
        Spellcheck = "󰓆",
        Search = "",
        Selected = "",
        TabClose = "",
    },
    colorscheme = "catppuccin",
    heirline = {
        separators = {
            left = { "", " " }, -- separator for the left side of the statusline
            right = { " ", " " }, -- separator for the right side of the statusline
            tab = { "", "" },
        },
        colors = {
            tabline_bg = "#181825",
            tabline_fg = "#181825",
            buffer_bg = "#21252b"
        }
    },
    polish = function()
    end
}

return config
