local options = function(local_vim)
    local_vim.opt.relativenumber = true
    local_vim.opt.whichwrap = "b,s,h,l,<,>,[,]"
    local_vim.opt.shiftwidth = 4
    local_vim.expandtab = {}
    local_vim.smartindent = {}
    local_vim.autoindent = {}
    -- Neovide
    local_vim.opt.guifont = "MonaspiceRn NF:h11"
    local_vim.g.neovide_cursor_vfx_mode = "pixiedust"
    local_vim.g.neovide_cursor_vfx_particle_density = 14.0

    -- Currently buggy, needs an edit to trigger
    local_vim.g.inlay_hints_enabled = true

    return local_vim
end

return options
